package orders;

import items.Item;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;



public class Order {
	protected int serialNumber;
	protected static int counter = 1;
	protected HashMap<Item,Integer> rows = new HashMap<Item,Integer>();
	public Order(){
		serialNumber = counter++;
	}
	public Set<Item> getKeySet() {
		return rows.keySet();
	}
	public Integer getValue(Item it){
		return rows.get(it);
	}
	public boolean add(Item i, int q){
		if( q<=0 )
			return false;
		if(rows.containsKey(i)){
			Integer n = rows.get(i);
			q += n;
		}
		rows.put(i, new Integer(q));
		return true;
	}
	@Override
	public String toString(){
		String result = "Order #"+serialNumber;
		for ( Map.Entry<Item,Integer>entry : rows.entrySet()) {
		      Item key = entry.getKey();
		      Integer value = entry.getValue();
		      result += "\n\t"+key+"   "+value+" tk.";
		 }
		return result;
	}
	
}
